import React from 'react';

interface Option {
  label: string;
  value: string | number;
}

interface SelectProps {
  label: string;
  name: string;
  options: Option[];
  [x: string]: any; // Allow for any other props
}

const Select: React.FC<SelectProps> = ({ label, name, options, ...props }) => {
  return (
    <div className="mb-10">
      <label htmlFor={name} className="form-label">
        {label}
      </label>
      <select id={name} name={name} className="form-select" {...props}>
        {options.map((option) => (
          <option key={option.value} value={option.value}>
            {option.label}
          </option>
        ))}
      </select>
    </div>
  );
};

export default Select;
